#include <iostream>
#include<algorithm>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);

    int i,n,v,m,a,b,x,t;

    cin>>n>>x;

    for(i=1;i<=n;i++)
    {
        cin>>t;
        if(i==1) {m=t;  v=t;}
        if(t<m) m=t;
        if(t>v) v=t;
    }


    if(m<=x && x<=v)
    {
        a=x-m; b=v-x;
        cout<<a+b+min(a,b);
    }
    else if(v<=x) cout<<x-m;
    else cout<<v-x;

    return 0;
}